Bug 455153 - Review Request: asana-math-fonts - An OpenType font with a MATH table
Review Request: asana-math-fonts - An OpenType font with a MATH table
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jon Stanley
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-12 21:40 EDT by Jon Stanley
Modified: 2009-02-11 22:51 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-11 22:51:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
nicolas.mailhot: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jon Stanley 2008-07-12 21:40:55 EDT
Spec URL: http://jstanley.fedorapeople.org/asana-math-fonts.spec
SRPM URL: http://jstanley.fedorapeople.org/asana-math-fonts-20080120-1.fc9.src.rpm
Description: An OpenType font with a MATH table that can be used with XeTeX to typeset math content

Note that this includes a fontconfig rule to replace pxfonts, per http://fedoraproject.org/wiki/Asana_Math_font
Comment 1 Jon Stanley 2008-07-12 21:47:54 EDT
rpmlint:

asana-math-fonts.noarch: W: no-documentation - no archive provided with font, so
no separate readme or license

Scratch build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=712405

Comment 2 Nicolas Mailhot 2008-07-13 04:07:12 EDT
Formal review:

OK  | MUST: rpmlint must be run on every package…
rpmlint *rpm
asana-math-fonts.noarch: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 1 warnings.

However it's probably a good idea to package
ftp://www.ctan.org/tex-archive/fonts/Asana-Math/README.1ST
as %doc too

OK  | MUST: The package must be named according to the Package…
OK  | MUST: The spec file name must match the base package…
OK  | MUST: The package must meet the Packaging Guidelines…

NOK | MUST: The package must be licensed with a Fedora approved…
NOK | MUST: The License field in the package spec file must…

Unfortunately Asana claims to be OFL, but reuses material from pxfont which is 
GPL + Exception.
ftp://www.ctan.org/tex-archive/fonts/pxfonts/COPYRIGHT
Please contact the Asana author to check he got authorization from pxfonts 
authors to relicense the glyphs (a mail would be fine), and if not have him 
relicense Asana. If upstream has a relicensing authorization please package it 
as %doc. (you can also try to contact pxfonts authors)

N/A | MUST: If (and only if) the source package includes the…
OK  | MUST: The spec file must be written in American English.
OK  | MUST: The spec file for the package MUST be legible.

-   | MUST: The sources used to build the package must match… 
Builds fine with upstream's material. If upstream uses fontforge and fontforge 
sources could be available, that would be even better.

OK  | MUST: The package must successfully compile and build…
N/A | MUST: If the package does not successfully compile, build 
OK  | MUST: All build dependencies must be listed…
N/A | MUST: The spec file MUST handle locales properly…
N/A | MUST: Every binary RPM package which stores shared…
N/A | MUST: If the package is designed to be relocatable…
OK  | MUST: A package must own all directories that it creates
OK  | MUST: A package must not contain any duplicate files 
OK  | MUST: Permissions on files must be set properly. 
OK  | MUST: Each package must have a %clean section
OK  | MUST: Each package must consistently use macros
OK  | MUST: The package must contain code, or permissable
N/A | MUST: Large documentation files should go in a -doc 
N/A | MUST: If a package includes something as %doc…
N/A | MUST: Header files must be in a -devel package.
N/A | MUST: Static libraries must be in a -static package.
N/A | MUST: Packages containing pkgconfig(.pc) files must…
N/A | MUST: If a package contains library files with a suffix…
N/A | MUST: In the vast majority of cases, devel packages must…
N/A | MUST: Packages must NOT contain any .la libtool archives, 
N/A | MUST: Packages containing GUI applications must include…
OK  | MUST: Packages must not own files or directories already
OK  | MUST: At the beginning of %install, each package MUST…
OK  | MUST: All filenames in rpm packages must be valid UTF-8.

NOK | SHOULD: If the source package does not include license 
Please ask upstream to publish a nice versionned zip with detached license file 
(and sfd sources?) while you're at it.

-   | SHOULD: The description and summary section … translations…
OK  | SHOULD: The package builds in mock
-   | SHOULD: The package builds on all supported architectures
OK  | SHOULD: The reviewer should test that the package…
OK  | SHOULD: If scriptlets are used, those scriptlets must be sane…
N/A | SHOULD: Subpackages other than devel should usually require base…
N/A | SHOULD: The placement of pkgconfig(.pc) files depends on…
N/A | SHOULD: If the package has file dependencies outside of shortlist…

Additional info
1. The font looks serify to me, not fantasy (fontconfig rule)
2. the embedded version has changed from CTAN to OFLB so presumably the author 
takes care or versionning there. You don't need to use a date as version.
3. if it gets approved do not forget to register in the engineering comps group
4. you can CC <fedora-fonts-list@redhat.com> 
<Openfontlibrary@lists.freedesktop.org> and probably <ctan-ann@dante.de> to 
your exchanges with upstream
5. don't forget to update the wiki with the result of your investigations

Thank you very much for looking at Asana. I realise it's not as easy as it
should have been, but it would be insanely great to have it packaged, and our
scitech users would love to have it available
Comment 3 Nicolas Mailhot 2008-07-13 04:35:22 EDT
Seems Debian made the same analysis BTW
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=458047

But they didn't make upstream clarify. Bad Debian.
Comment 4 Nicolas Mailhot 2008-07-13 05:05:59 EDT
http://openfontlibrary.org/media/files/chemoelectric/208 shows you can upload
zip files to OFLB
Comment 5 Jon Stanley 2008-07-13 10:04:31 EDT
What upstream has done here is 200% legal :) Included clarification as
README.license in %doc - new SRPM (spec is the same):

http://jstanley.fedorapeople.org/asana-math-fonts-0.914-1.fc9.src.rpm

----- Forwarded Message ----
> From: Young Ryu <ryoung@utdallas.edu>
> To: Apostolos Syropoulos <asyropoulos@yahoo.com>
> Sent: Saturday, January 5, 2008 2:13:23 AM
> Subject: Re: pxfonts and Asana Math
>
>
> I want pxfonts/txfonts to be available in public
> for not only document preparation/printing/publication
> but also for further modification/revision/improvement.
> You can change/copy/re-distribute them. I do not intend
> to put any restriction. Your revision and distribution of
> the fonts will be absolutely OK. There should be no
> legal problem. If GPL causes any problem, I will
> drop it and make it completely free for any purpose.
>
> Young Ryu
>
> Apostolos Syropoulos wrote:
> >    Dear Sir,
> >
> >    My name is Apostolos Syropoulos and recently I released my Asana Math Open
> Type
> > font, which is partially a derived work of your pxfonts. I have released the
> font
> > under the Open Font License
> (http://scripts.sil.org/cms/scripts/page.php?site_id=nrsi&id=OFL_web),
> > but someone told me that there is some legal problem because you had released
> your
> > pxfonts with the GPL (the OFL was written a few months ago!). Could you please
> let me know if
> > there is any problem at all? And if there is how can be fixed? The font is
> absolutely free and I
> > am making no money from it.
> >
> >   Sincerely yours,
> >
> >    A.S.
Comment 6 Nicolas Mailhot 2008-07-13 10:57:19 EDT
Minor nitpick:
cp %{SOURCE2} $RPM_BUILD_DIR could be
cp %{SOURCE2} . I think

Otherwise very fine work it's not always easy to get information for upstream.
You can continue from 
http://fedoraproject.org/wiki/Font_package_lifecycle#3.a
now

APPROVED
Comment 7 Nicolas Mailhot 2008-07-13 11:11:53 EDT
BTW

asana-math-fonts.src: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 15)
2 packages and 0 specfiles checked; 0 errors, 1 warnings.
Comment 8 Jon Stanley 2008-07-13 11:28:22 EDT
New Package CVS Request
=======================
Package Name: asana-math-fonts
Short Description: An OpenType font with a MATH table
Owners: jstanley
Branches: F-8 F-9 EL-4 EL-5
InitialCC: fonts-sig
Cvsextras Commits: yes
Comment 9 Kevin Fenzi 2008-07-13 15:19:21 EDT
cvs done.
Comment 10 Jon Stanley 2009-02-11 22:51:09 EST
This has been in for a long time, closing

Note You need to log in before you can comment on or make changes to this bug.